Bug 164701 - Graphical Display only gives part options
Graphical Display only gives part options
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-securitylevel (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-30 12:31 EDT by J. William Cupp
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-02 16:13:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description J. William Cupp 2005-07-30 12:31:23 EDT
From Bugzilla Helper:
User-Agent: Opera/8.02 (Windows NT 5.1; U; en)

Description of problem:
When system-config-securitylevel is run from the terminal, a GUI application 
starts for the modifying of SELinux policies.  There is a checkbox labelled 
"Enforce?" which is a two state option (checked or clear).  But the file /etc/
selinux/config reveals via text comments there are three possible states: 
SELINUX=enforced, SELINUX=permissive, or SELINUX=disabled.  Moreover, the text 
file implies the values are to be set in all lower case letters.  However, 
making the changes via the GUI then later inspecting the file reveals the values 
in init-caps case (e.g., "Permissive" rather than "permissive").  If this is 
intentional or has any meaning then it ought to be explained -- either in the 
help file for the GUI or in the text comments for the config file (or both).

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  run system-config-security level from terminal
 AND ALSO
2.  gedit /etc/selinux/config
  

Additional info:
Comment 1 Chris Lumens 2005-08-01 10:06:25 EDT
Yeah the options on that screen are pretty confusing.  It should be made more
clear with an update I'm almost done with.

Note You need to log in before you can comment on or make changes to this bug.